org.apache.ignite.internal.util.nio

## Class GridNioDelimitedBuffer

- java.lang.Object
- - org.apache.ignite.internal.util.nio.GridNioDelimitedBuffer

    public class GridNioDelimitedBuffer
    extends Object

Buffer with message delimiter support.

### Constructor Summary

Constructors
Constructor and Description
`GridNioDelimitedBuffer(byte[] delim)`

### Method Summary

Methods
`byte[]` `read(ByteBuffer buf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridNioDelimitedBuffer

    public GridNioDelimitedBuffer(byte[] delim)

Parameters:
  `delim` - Delimiter.

### Method Detail

#### read

    @Nullable
    public byte[] read(ByteBuffer buf)

Parameters:
  `buf` - Buffer.
Returns:
  Message bytes or `null` if message is not fully read yet.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017